Bug 2130532 - CVE-2022-35256 nodejs: HTTP Request Smuggling due to incorrect parsing of header fields [fedora-all]
Summary: CVE-2022-35256 nodejs: HTTP Request Smuggling due to incorrect parsing of hea...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nodejs
Version: 36
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: NodeJS Packaging SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2022-35256
TreeView+ depends on / blocked
 
Reported: 2022-09-28 13:33 UTC by TEJ RATHI
Modified: 2022-11-29 01:27 UTC (History)
5 users (show)

Fixed In Version: nodejs-16.18.1-1.fc35 nodejs-18.12.1-1.fc37 nodejs-16.18.1-1.fc36
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-29 00:56:42 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description TEJ RATHI 2022-09-28 13:33:40 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 TEJ RATHI 2022-09-28 13:33:44 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2130518,2130532

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2022-09-28 15:07:46 UTC
FEDORA-2022-3793987b02 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-3793987b02

Comment 3 Fedora Update System 2022-09-28 15:08:03 UTC
FEDORA-2022-58055cb1ef has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-58055cb1ef

Comment 4 Fedora Update System 2022-09-28 15:08:20 UTC
FEDORA-2022-b7766ddf3e has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-b7766ddf3e

Comment 5 Fedora Update System 2022-09-29 04:17:36 UTC
FEDORA-2022-3793987b02 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-3793987b02`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-3793987b02

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-09-29 04:39:43 UTC
FEDORA-2022-b7766ddf3e has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-b7766ddf3e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-b7766ddf3e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-09-29 05:01:18 UTC
FEDORA-2022-58055cb1ef has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-58055cb1ef`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-58055cb1ef

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-10-06 14:17:52 UTC
FEDORA-2022-d84d27c5ad has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-d84d27c5ad`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-d84d27c5ad

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-11-07 19:26:07 UTC
FEDORA-2022-1667f7b60a has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-1667f7b60a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-1667f7b60a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-11-07 20:59:00 UTC
FEDORA-2022-52dec6351a has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-52dec6351a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-52dec6351a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2022-11-07 21:06:50 UTC
FEDORA-2022-de515f765f has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-de515f765f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-de515f765f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2022-11-29 00:56:42 UTC
FEDORA-2022-de515f765f has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2022-11-29 01:10:51 UTC
FEDORA-2022-1667f7b60a has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2022-11-29 01:27:38 UTC
FEDORA-2022-52dec6351a has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.